Index: admin_templates/incs/form_blocks.tpl
===================================================================
--- admin_templates/incs/form_blocks.tpl	(revision 14260)
+++ admin_templates/incs/form_blocks.tpl	(working copy)
@@ -583,6 +583,10 @@
 	</inp2:m_RenderElement>
 </inp2:m_DefineElement>
 
+<inp2:m_DefineElement name="inp_single_option">
+	<option value="<inp2:m_param name='value'/>"<inp2:m_if check="{$prefix}_Selected" field="$field" value="$value"> selected</inp2:m_if>><inp2:$prefix_OptionValue field="$field" value="$value"/></option>
+</inp2:m_DefineElement>
+
 <inp2:m_DefineElement name="inp_edit_multioptions" has_empty="0" empty_value="" style="">
 	<inp2:m_RenderElement design="form_row" pass_params="1">
 		<td class="control-cell">
@@ -665,6 +669,10 @@
 	</inp2:m_RenderElement>
 </inp2:m_DefineElement>
 
+<inp2:m_DefineElement name="inp_single_checkbox">
+	<input type="checkbox"<inp2:m_if check="{$prefix}_Selected" field="$field" value="$value"> checked</inp2:m_if> id="<inp2:{$prefix}_InputName field='$field'/>_<inp2:m_param name='value'/>" value="<inp2:m_param name='value'/>" onclick="update_checkbox_options(/^<inp2:{$prefix}_InputName field='$field' as_preg='1'/>_([0-9A-Za-z-]+)/, '<inp2:{$prefix}_InputName field='$field'/>');"><label for="<inp2:{$prefix}_InputName field='$field'/>_<inp2:m_param name='value'/>"><inp2:$prefix_OptionValue field="$field" value="$value"/></label>&nbsp;
+</inp2:m_DefineElement>
+
 <inp2:m_DefineElement name="inp_edit_checkbox_allow_html" field_class="" onchange="" onclick="" title="la_enable_html" hint_label="la_Warning_Enable_HTML">
 	<inp2:m_RenderElement name="inp_edit_checkbox" pass_params="1"/>
 
Index: kernel/db/db_tag_processor.php
===================================================================
--- kernel/db/db_tag_processor.php	(revision 14260)
+++ kernel/db/db_tag_processor.php	(working copy)
@@ -2773,6 +2773,33 @@
 			return in_array($params['value'], $value);
 		}
 
-		return $value;
+		return $value == $params['value'];
 	}
+
+	/**
+	 * Displays option name by it's value
+	 *
+	 * @param Array $params
+	 * @return string
+	 */
+	function OptionValue($params)
+	{
+		$object =& $this->getObject($params);
+		/* @var $object kDBItem */
+
+		$value = $params['value'];
+		$field = $this->SelectParam($params, 'name,field');
+
+		$field_options = $object->GetFieldOptions($field);
+
+		if ( isset($field_options['options'][$value]) ) {
+			$value = $field_options['options'][$value];
+			$use_phrases = isset($field_options['use_phrases']) ? $field_options['use_phrases'] : false;
+
+			return $use_phrases ? $this->Application->Phrase($value) : $value;
+		}
+
+		return '';
+	}
+
 }
\ No newline at end of file
